﻿*,
:after,
:before {
	box-sizing: border-box;
}

:root {
	--bkgd: #111;
	--frgd: #fff;
	--accent: #D70;
}

html {
	scroll-behavior: smooth;
}

a {
	color: var(--accent);
}

	a:visited {
		color: var(--accent);
	}

	a.cta {
		background-color: var(--accent);
		border-radius: 1rem;
		padding: 0.45rem;
		color: var(--frgd);
		text-decoration: none;
		text-transform: uppercase;
		font-weight: 700;
		overflow-x: visible;
		white-space: nowrap;
		display: inline-block;
	}


body {
	margin: 0;
	line-height: 1.5;
	color: var(--frgd);
	min-height: 100vh;
	background-color: var(--bkgd);
}

body, input, button, textarea, select {
	font-family: Lora, serif;
	font-size: 0.9rem;
}

#body .hero {
	text-align: center;
	padding: 5rem;
	background-color: #444;
	background-image: url(../images/home-hero.png);
	background-repeat: no-repeat;
	background-position: center center;
	background-size: cover;
	position: relative;
	min-height: 15rem;
}

.overlay {
	background: linear-gradient(0deg, rgba(0, 0, 0, 0.6) 0%, rgba(0, 0, 0, 0.6) 100%);
	padding: 3rem;
}

#header,
#body,
#footer {
	margin: 0;
	padding: 0;
}

#header {
	background-color: var(--bkgd);
	padding: 0.5rem 0.5rem;
	align-items: center;
	position: sticky;
	top: 0px;
	z-index: 100;
}


#footer a {
	color: var(--frgd);
	text-decoration: none;
}

	#footer a:hover {
		color: var(--accent);
	}

.flex {
	display: flex;
	padding: 5rem;
	justify-content: space-between;
	align-content: flex-start;
	align-items: flex-start;
	gap: 5rem;
}

h1,
h2,
h3 {
	font-family: Poppins, sans-serif;
	font-weight: 700;
	margin: 0;
	line-height: 1.1;
	letter-spacing: -.05em
}

#header .logo {
	margin-bottom: 0.2rem;
}

.logo {
	max-width: 15rem;
	height: 5rem;
	background-color: var(--bkgd);
}

#header .menu {
	display: flex;
	list-style: none;
	align-items: center;
}

	#header .menu li {
		padding: 0.5rem;
	}

	#header .menu a {
		color: var(--frgd);
		text-decoration: none;
	}

.white {
	background-color: var(--frgd);
	color: var(--bkgd);
}

.image {
	border: 1px solid var(--accent);
	width: 50%;
	height: auto;
}

.main-container {
}

	.main-container > div {
		max-width: 75rem;
		margin: 0 auto;
	}

.hamburger {
	display: none;
}

.services h2 {
	margin-bottom: 2.5rem;
}

.services > div {
	padding: 5rem 5rem;
}

	.services > div > div {
		display: flex;
		flex-wrap: wrap;
		justify-content: center;
		gap: 2.5rem 2.5rem;
	}

.services img {
	width: 10rem;
	border: 1px solid var(--accent);
}

.more-about-us {
}

.gallery {
	flex-wrap: wrap;
	gap: 5rem;
}

	.gallery img {
		width: 25vw;
		border: 1px solid var(--accent);
	}

.serv-form .form1 {
	display: flex;
}

.form1 {
	padding: 0.25rem;
}

	.form1 label {
		width: 10rem;
	}

	.form1 input, .form1 textarea, .form1 select {
		padding: 0.2rem;
		width: 70%;
	}

#hamburger-menu {
	position: absolute;
	z-index: 10;
	right: 1rem;
	top: 5rem;
	background-color: var(--accent);
	padding: 1rem;
	display: none;
}

	#hamburger-menu ul {
		list-style: none;
		margin: 0px;
		padding: 0px;
	}

	#hamburger-menu a {
		color: var(--bkgd);
	}

		#hamburger-menu a:hover {
			color: var(--frgd);
		}



@media only screen and (max-width: 850px) {
	.flex {
		flex-wrap: wrap;
	}

	#header .menu {
		display: none;
	}

	.hamburger {
		display: block;
		margin-top: 1rem;
	}

		.hamburger i {
			font-size: 3rem;
		}

		.hamburger a {
			color: var(--accent);
		}

	.gallery img {
		width: 50vw;
		border: 1px solid var(--accent);
	}
}
